# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
com.clickhouse.jdbc.ClickHouseConnection.parse(String, ClickHouseConfig)
will be removed in 0.5, please use `ClickHouseConnection.parse(String, ClickHouseConfig, Map)` instead
com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser.ConnectionInfo.getServer()
will be removed in 0.5, please use `ClickHouseJdbcUrlParser.ConnectionInfo.getNodes()` instead